Bug 238464 - Can't change password for accounts with same UID
Can't change password for accounts with same UID
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: passwd (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 14:18 EDT by Joseph Harnish
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 15:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Harnish 2007-04-30 14:18:14 EDT
Description of problem:
We have accounts that use the same UID.  This carries over from our other
systems.  On these other systems if you are logged in as a specific user and run
passwd you can change that accounts password but in RHEL it want's to change the
main accounts password.

/etc/passwd
Vendor:x:111:111::/opt/Vendor:/bin/bash
App1:x:111:111::/opt/Vendor/App1:/bin/bash


Version-Release number of selected component (if applicable):
0.68-10.1

How reproducible:
Always


Steps to Reproduce:
1. Create 2 accounts using the same UID
2. Set passwords as root
3. login to the second account and try to change the password.
  
Actual results:
Tries to change the first accounts password

Expected results:
Change the logged in accounts password.


Additional info:
Comment 1 Tomas Mraz 2007-05-02 05:04:18 EDT
passwd gets the name of the account from the getpwuid(getuid()) call. It would
have to allow to specify username on the command line.

We can consider this for future RHEL releases.
Comment 2 Tomas Mraz 2007-09-24 15:44:24 EDT
Using multiple accounts with the same UID will always be problematic. I don't
think we should actively support this in passwd.

Note You need to log in before you can comment on or make changes to this bug.